package com.hai.service;

import com.hai.entity.HighCompanyAccount;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 公司账户
 * @author hurui
 */
public interface HighCompanyAccountService {

    /**
     * 编辑数据
     * @param companyAccount
     */
    void editData(HighCompanyAccount companyAccount);

    /**
     * 进账
     * @param orgId 单位id
     * @param amount 金额
     */
    void recharge(Long orgId, BigDecimal amount, Map<String, Object> otherParam);

    /**
     * 出账
     * @param orgId  单位id
     * @param amount 金额
     * @param otherParam 其他参数
     */
    void consume(Long orgId, BigDecimal amount, Map<String, Object> otherParam);

    /**
     * 根据单位id 查询
     * @param orgId
     * @return
     */
    HighCompanyAccount getAccountByOrgId(Long orgId);
}
